<div class="page-margin">
	<div class="container">
		<h2 class="tag_page_title m5"><?php echo $wo['lang']['offers'] ?></h2>
		
		
		<div class="home-announcement wow_content p15 tag_announce">
				<svg viewBox="0 -14 512.00001 512" xmlns="http://www.w3.org/2000/svg"><path d="m126.605469 210.292969 60 103.921875c-27.238281 15.726562-58.890625 34-86.601563 50-28.699218 16.570312-65.390625 6.742187-81.960937-21.960938-16.46875-28.503906-6.917969-65.292968 21.960937-81.960937zm0 0" fill="#2bbdc4"></path><path d="m409.457031 243.816406c7.589844 13.136719-1.660156 29.617188-16.832031 29.988282l-11.25 2.210937-.25-1.269531-128.730469-222.972656-.839843-.660157 7.199218-9.171875c7.910156-12.957031 26.800782-12.738281 34.390625.410156 199.792969 346.03125-52.261719-90.527343 116.3125 201.464844zm0 0" fill="#2bbdc4"></path><path d="m206.964844 429.488281c8.289062 14.339844 3.371094 32.6875-10.980469 40.976563-14.328125 8.289062-32.710937 3.355468-40.980469-10.976563l-55-95.273437 51.960938-30c.476562.828125 54.917968 95.128906 55 95.273437zm0 0" fill="#495d85"></path><path d="m377.777344 108.933594 20 34.640625-24.640625 37.320312-40-69.28125zm0 0" fill="#e9eef0"></path><path d="m381.125 274.746094.25 1.269531-194.769531 38.199219-60-103.921875 124.949219-159.179688.839843.660157zm0 0" fill="#adf3ff"></path><path d="m136.964844 308.234375c4.78125-2.757813 6.417968-8.878906 3.660156-13.660156-2.761719-4.777344-8.878906-6.417969-13.660156-3.660157-4.78125 2.761719-6.421875 8.882813-3.660156 13.660157 2.757812 4.78125 8.878906 6.421875 13.660156 3.660156zm0 0"></path><path d="m95.984375 377.253906 50.359375 87.230469c10.867188 18.84375 35.3125 25.820313 54.644531 14.644531 19.128907-11.054687 25.703125-35.496094 14.636719-54.640625l-30-51.96875 25.980469-15c4.78125-2.765625 6.421875-8.878906 3.660156-13.660156l-13.003906-22.523437c1.550781-.300782 11.746093-2.300782 191.539062-37.570313 22.226563-1.207031 35.542969-25.515625 24.316407-44.949219l-33.234376-57.5625 21.238282-32.167968c2.085937-3.164063 2.210937-7.230469.316406-10.511719l-20-34.640625c-1.894531-3.28125-5.492188-5.203125-9.261719-4.980469l-38.472656 2.308594-36.894531-63.90625c-5.34375-9.257813-14.917969-14.863281-25.605469-14.996094-.128906-.003906-.253906-.003906-.382813-.003906-10.328124 0-19.703124 5.140625-25.257812 13.832031l-130.632812 166.414062-84.925782 49.03125c-33.402344 19.277344-44.972656 62.128907-25.621094 95.621094 17.679688 30.625 54.953126 42.671875 86.601563 30zm102.324219 57.238282c5.523437 9.554687 2.253906 21.78125-7.328125 27.316406-9.613281 5.558594-21.855469 2.144531-27.316407-7.320313l-50-86.613281 34.640626-20c57.867187 100.242188 49.074218 85.011719 50.003906 86.617188zm-22.683594-79.296876-10-17.320312 17.320312-10 10 17.320312zm196.582031-235.910156 13.820313 23.9375-12.324219 18.664063-23.820313-41.261719zm-104.917969-72.132812c2.683594-4.390625 6.941407-4.84375 8.667969-4.796875 1.707031.019531 5.960938.550781 8.527344 4.996093l116.3125 201.464844c3.789063 6.558594-.816406 14.804688-8.414063 14.992188-1.363281.03125-1.992187.277344-5.484374.929687l-123.035157-213.105469c2.582031-3.320312 2.914063-3.640624 3.425781-4.480468zm-16.734374 21.433594 115.597656 200.222656-174.460938 34.21875-53.046875-91.878906zm-223.851563 268.667968c-4.390625-7.597656-6.710937-16.222656-6.710937-24.949218 0-17.835938 9.585937-34.445313 25.011718-43.351563l77.941406-45 50 86.601563-77.941406 45.003906c-23.878906 13.78125-54.515625 5.570312-68.300781-18.304688zm0 0"></path><path d="m105.984375 314.574219c-2.761719-4.78125-8.878906-6.421875-13.660156-3.660157l-17.320313 10c-4.773437 2.757813-10.902344 1.113282-13.660156-3.660156-2.761719-4.78125-8.878906-6.421875-13.660156-3.660156s-6.421875 8.878906-3.660156 13.660156c8.230468 14.257813 26.589843 19.285156 40.980468 10.980469l17.320313-10c4.78125-2.761719 6.421875-8.875 3.660156-13.660156zm0 0"></path><path d="m497.136719 43.746094-55.722657 31.007812c-4.824218 2.6875-6.5625 8.777344-3.875 13.601563 2.679688 4.820312 8.765626 6.566406 13.601563 3.875l55.71875-31.007813c4.828125-2.6875 6.5625-8.777344 3.875-13.601562-2.683594-4.828125-8.773437-6.5625-13.597656-3.875zm0 0"></path><path d="m491.292969 147.316406-38.636719-10.351562c-5.335938-1.429688-10.820312 1.734375-12.25 7.070312-1.429688 5.335938 1.738281 10.816406 7.074219 12.246094l38.640625 10.351562c5.367187 1.441407 10.824218-1.773437 12.246094-7.070312 1.429687-5.335938-1.738282-10.820312-7.074219-12.246094zm0 0"></path><path d="m394.199219 7.414062-10.363281 38.640626c-1.429688 5.335937 1.734374 10.816406 7.070312 12.25 5.332031 1.425781 10.816406-1.730469 12.25-7.070313l10.359375-38.640625c1.429687-5.335938-1.734375-10.820312-7.070313-12.25-5.332031-1.429688-10.816406 1.734375-12.246093 7.070312zm0 0"></path></svg>
				<p><?php echo $wo['lang']['perksinfo']; ?></p>				
			</div>
			
		<div class="page-margin">
			<?php
				$data = array();
				$data['limit'] = 10;
				$offers = Wo_GetAllOffers($data);
				if (count($offers) > 0) {
			?>
			<div class="row" id="products">
				<?php
					foreach ($offers as $key => $wo['offer']) {
						echo Wo_LoadPage('offers/offers'); 
					}
				} else {
					echo '<div class="empty_state"><svg xmlns="http://www.w3.org/2000/svg" height="512" viewBox="0 0 32 32" width="512"><path d="m26 32h-20c-3.314 0-6-2.686-6-6v-20c0-3.314 2.686-6 6-6h20c3.314 0 6 2.686 6 6v20c0 3.314-2.686 6-6 6z" fill="#ffe6e2"/><path d="m19.889 17.216-3.576-3.576c-.094-.094-.221-.146-.354-.146-.001 0-.001 0-.001 0l-3.293.006c-.275.001-.498.223-.499.499l-.007 3.293c0 .133.053.261.146.355l3.576 3.576s0 .001.001.001c.227.227.525.34.824.34s.597-.113.825-.34l2.358-2.358c.454-.456.454-1.195 0-1.65zm-5.222-.549c-.369 0-.667-.299-.667-.667s.298-.667.667-.667c.368 0 .667.298.667.667-.001.368-.299.667-.667.667z" fill="#fc573b"/><path d="m22 8.667h-12c-1.103 0-2 .897-2 2v10.667c0 1.103.897 2 2 2h12c1.103 0 2-.897 2-2v-10.667c0-1.103-.897-2-2-2zm0 13.333h-12c-.368 0-.667-.299-.667-.667v-9.333h13.333v9.333c.001.368-.298.667-.666.667z" fill="#fc573b"/></svg> ' . $wo['lang']['no_available_offers'] . '</div>';
					}
				?>
			</div>
			<div class="posts_load load-produts">
				<?php if (count($offers) > 0): ?>
				<div class="load-more">
					<button class="btn btn-default text-center wo_load_more" onclick="Wo_LoadOffers();">
						<span><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M7.41,8.58L12,13.17L16.59,8.58L18,10L12,16L6,10L7.41,8.58Z"></path></svg></span> <?php echo $wo['lang']['load_more_offers'] ?>
					</button>
				</div>
				<?php endif ?>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="delete-offer-modal" role="dialog">
	<div class="modal-dialog wow_mat_mdl modal-md">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['delete_offer']; ?></h4>
			</div>
			<div class="modal-body">
				<p><?php echo $wo['lang']['confirm_delete_offer']; ?></p>
				<input type="hidden" id="delet_offer_id">
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-mat disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel'] ?></button>
				<button id="delete-all-post" type="button" onclick="Wo_DeleteOffer();" class="btn btn-main btn-mat disable_btn"><?php echo $wo['lang']['delete']; ?></button>
			</div>
		</div>
	</div>
</div>

<script>
	function Wo_OpenOfferDeleteBox(offer_id) {
	  $('#delet_offer_id').val(offer_id);
	  var delete_box = $('#delete-offer-modal');
	  delete_box.modal({
	    show: true
	  });
	}
	function Wo_DeleteOffer() {
	  Wo_CloseLightbox();
	  var offer_id = $('#delet_offer_id').val();
	  var delete_box = $('#delete-offer-modal');
	  $('#delete-offer-modal').find('.disable_btn').attr('disabled','disabled');
	  $.get(Wo_Ajax_Requests_File(), {
	    f: 'offer',
	    s: 'delete_offer',
	    offer_id: offer_id
	  }, function (data) {
	    if(data.status == 200) {
	      delete_box.modal('hide');
	      setTimeout(function () {
	        $('#product-' + offer_id).slideUp(200, function () {
	          $(this).remove();
	        });
	      }, 300);
	    }
	    $('#delete-offer-modal').find('.disable_btn').removeAttr("disabled");
	  });
	}

function Wo_LoadOffers() {
	var $last_id = $('.product:last').attr('data-id');
	$.post(Wo_Ajax_Requests_File() + '?f=offer&s=load_more', {last_id: $last_id}, function (data) {
		if (data.status == 200) {
			if (data.html.length > 0) {
				$('.load-produts').html('<div class="load-more"><button class="btn btn-default text-center pointer" onclick="Wo_LoadOffers();"><span><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M7.41,8.58L12,13.17L16.59,8.58L18,10L12,16L6,10L7.41,8.58Z"></path></svg></span> <?php echo $wo['lang']['load_more_offers'] ?></button></div>');
				$('#products').append(data.html);
			} else {
				$('.load-produts').html('<div class="load-more"><button class="btn btn-default text-center pointer" onclick="Wo_LoadOffers();"><?php echo $wo['lang']['no_available_offers'] ?></button></div>');
			}
		}
	});
}
</script>